summaryrefslogtreecommitdiff
path: root/bin/minstall
diff options
context:
space:
mode:
authorAlex Deucher <alexdeucher@gmail.com>2009-06-12 12:09:34 -0400
committerAlex Deucher <alexdeucher@gmail.com>2009-06-12 12:09:34 -0400
commit1036ef2bf468611d37b5df06fc4424f2002e3837 (patch)
treef0859a6d903c2570a0a00c918da88139f8f7d065 /bin/minstall
parent917f8bc1a85e61311cef6478127b387df70fba14 (diff)
parent1cd0afffc9edbcac690f8ab436aecfced26b0aba (diff)
Merge master and fix conflicts
Diffstat (limited to 'bin/minstall')
-rwxr-xr-xbin/minstall7
1 files changed, 5 insertions, 2 deletions
diff --git a/bin/minstall b/bin/minstall
index 8ee96089fa..130025829b 100755
--- a/bin/minstall
+++ b/bin/minstall
@@ -66,8 +66,11 @@ if [ $# -ge 2 ] ; then
elif [ -f "$FILE" ] ; then
#echo "$FILE" is a regular file
- $RM "$DEST/`basename $FILE`"
- cp "$FILE" "$DEST"
+ # Only copy if the files differ
+ if ! cmp -s $FILE $DEST/`basename $FILE`; then
+ $RM "$DEST/`basename $FILE`"
+ cp "$FILE" "$DEST"
+ fi
if [ $MODE ] ; then
FILE=`basename "$FILE"`
chmod $MODE "$DEST/$FILE"